Subject: bug#61976: closed (Re: bug#61976: [elpa/yasnippet] [PATCH] Fix compilation warnings in Emacs 29)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 14 Feb 2025 22:22:02 +0000

Your bug report

#61976: [elpa/yasnippet] [PATCH] Fix compilation warnings in Emacs 29

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61976: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61976
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#61976: [elpa/yasnippet] [PATCH] Fix compilation warnings in Emacs 29
From: Stefan Monnier <[email-masked]>
To: Stefan Kangas <[email-masked]>
Cc: Simen Heggestøyl <[email-masked]>, "Philip K." <[email-masked]>, [email-masked], Noam Postavsky <[email-masked]>,João Távora <[email-masked]>
Date: Fri, 14 Feb 2025 17:21:30 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

>>> People, I have to say I don't pay much attention to yasnippet these days.
>>> I'm not the maintainer anymore, but Noam has also been absent for quite some
>>> time.  I think it's time I archive the repository and it lives on in
>>> elpa.git.
>>>
>>> Then you can push this and all and other patches there.
>>
>> That would be fine by me (even better if the Github repository can
>> redirect people to `elpa.gnu.org` or something like that :-).
>
> Was the package moved to GNU ELPA?  If so, should this patch be pushed
> there?

No, the package still lives over on Github, but I pushed (a version of)
that patch to that repository, so we can close this.

        Stefan

Subject: [elpa/yasnippet] [PATCH] Fix compilation warnings in Emacs 29
From: Simen Heggestøyl <[email-masked]>
To: Noam Postavsky <[email-masked]>
Cc: [email-masked]
Date: Sun, 05 Mar 2023 09:29:01 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi. The attached patch fixes the compilation warnings in yasnippet.el
when compiling with Emacs 29.

>From a5a9254f35dd85f6b945fc274fd020e887949e07 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Simen=20Heggest=C3=B8yl?= <[email-masked]>
Date: Sun, 5 Mar 2023 08:44:01 +0100
Subject: [PATCH] Fix compilation warnings in Emacs 29

---
 yasnippet.el | 22 +++++++++++++---------
 1 file changed, 13 insertions(+), 9 deletions(-)

diff --git a/yasnippet.el b/yasnippet.el
index 78ef38ac39..0129087805 100644
--- a/yasnippet.el
+++ b/yasnippet.el
@@ -476,14 +476,15 @@ See also Info node `(elisp) Syntax Descriptors'.")
   '()
   "Hooks to run after a snippet exited.
 
-The hooks will be run in an environment where some variables bound to
-proper values:
+The hooks will be run in an environment where some variables are
+bound to proper values:
 
 `yas-snippet-beg' : The beginning of the region of the snippet.
 
 `yas-snippet-end' : Similar to beg.
 
-Attention: These hooks are not run when exiting nested/stacked snippet expansion!")
+Attention: These hooks are not run when exiting nested/stacked
+snippet expansion!")
 
 (defvar yas-before-expand-snippet-hook
   '()
@@ -555,7 +556,7 @@ conditions.
     sexp))
 
 (defcustom yas-keymap-disable-hook nil
-  "The `yas-keymap' bindings are disabled if any function in this list returns non-nil.
+  "Disable `yas-keymap' bindings if any function in this list returns non-nil.
 This is useful to control whether snippet navigation bindings
 override bindings from other packages (e.g., `company-mode')."
   :type 'hook)
@@ -1813,7 +1814,8 @@ Optional PROMPT sets the prompt to use."
 SNIPPETS is a list of snippet definitions, each taking the
 following form
 
- (KEY TEMPLATE NAME CONDITION GROUP EXPAND-ENV LOAD-FILE KEYBINDING UUID SAVE-FILE)
+ (KEY TEMPLATE NAME CONDITION GROUP EXPAND-ENV LOAD-FILE
+  KEYBINDING UUID SAVE-FILE)
 
 Within these, only KEY and TEMPLATE are actually mandatory.
 
@@ -2980,7 +2982,7 @@ marks it as something else (typically comment ender)."
     'again))
 
 (defun yas-longest-key-from-whitespace (start-point)
-  "As `yas-key-syntaxes' element, look for longest key between point and whitespace.
+  "As `yas-key-syntaxes' element, find longest key between point and whitespace.
 
 A newline will be considered whitespace even if the mode syntax
 marks it as something else (typically comment ender)."
@@ -3728,8 +3730,8 @@ Use as a `:filter' argument for a conditional keybinding."
   "Clears unmodified field if at field start, skips to next tab.
 
 Otherwise deletes a character normally by calling `delete-char'."
-  (interactive)
   (declare (obsolete "Bind to `yas-maybe-skip-and-clear-field' instead." "0.13"))
+  (interactive)
   (cond ((yas--maybe-clear-field-filter t)
          (yas--skip-and-clear (or field (yas-current-field)))
          (yas-next-field 1))
@@ -4740,9 +4742,11 @@ The following count as a field:
 * \"${n: text}\", for a numbered field with default text, as long as N is not 0;
 
 * \"${n: text$(expression)}, the same with a Lisp expression;
-  this is caught with the curiously named `yas--multi-dollar-lisp-expression-regexp'
+  this is caught with the curiously named
+  `yas--multi-dollar-lisp-expression-regexp'
 
-* the same as above but unnumbered, (no N:) and number is calculated automatically.
+* the same as above but unnumbered, (no N:) and number is
+  calculated automatically.
 
 When multiple expressions are found, only the last one counts."
   ;;
-- 
2.39.1

-- Simen